List bots
curl --request GET \
--url https://api.helloannie.com/v1/botsimport requests
url = "https://api.helloannie.com/v1/bots"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.helloannie.com/v1/bots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"bots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"greeting": "<string>",
"phoneGreeting": "<string>",
"closedChatGreeting": "<string>",
"closedPhoneGreeting": "<string>",
"outbound": false,
"isRagEnabled": false,
"isGuardianEnabled": true,
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Bots
List bots
Returns bots for the authenticated organization. Optionally filter by orgId or include child organization bots with includeChildren.
GET
/
bots
List bots
Query Parameters
Filter bots by a specific organization orgId
Include bots from child organizations. Uses the orgId if provided, otherwise uses the authenticated organization.
⌘I